For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETGet Storefront Product Settings
              • PUTUpdate Storefront Product Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsStorefront Product

Update Storefront Product Settings

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/settings/storefront/product
PUT
/stores/:store_hash/v3/settings/storefront/product
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/settings/storefront/product \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "show_product_price": true,
4 "show_product_sku": true,
5 "show_product_weight": false,
6 "show_product_brand": true,
7 "show_product_shipping": false,
8 "show_product_rating": true,
9 "show_add_to_cart_link": true,
10 "default_preorder_message": "Available for pre-order. Ships in 2 weeks.",
11 "show_breadcrumbs_product_pages": "show_one",
12 "show_add_to_cart_qty_box": true,
13 "show_add_to_wishlist": true,
14 "hide_price_from_guests": false
15 },
16 "meta": {}
17}
Updates product settings. - Channel ID can be used as a query parameter for updating channel-specific settings. If omitted, you will interact with the global settings only. - `null` should be supplied to delete overrides per given channel and to inherit values from global level. Partial updates are not supported and all settings should be supplied with `null` value in order to delete overrides per channel.
Was this page helpful?
Previous

Get Storefront Product Settings

Next

Get Robots.txt Settings

Built with

Updates product settings.

  • Channel ID can be used as a query parameter for updating channel-specific settings. If omitted, you will interact with the global settings only.

  • null should be supplied to delete overrides per given channel and to inherit values from global level. Partial updates are not supported and all settings should be supplied with null value in order to delete overrides per channel.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

This endpoint expects an object.
show_product_pricebooleanOptional
Determines the visibility of the product price.
show_product_skubooleanOptional
Determines the visibility of the product SKU.
show_product_weightbooleanOptional

Determines the visibility of the productʼs weight.

show_product_brandbooleanOptional

Determines the visibility of the productʼs brand.

show_product_shippingbooleanOptional

Determines the visibility of the productʼs shipping option.

show_product_ratingbooleanOptional

Determines the visibility of the productʼs rating.

show_add_to_cart_linkbooleanOptional
Determines the visibility of the Add to Cart link.
default_preorder_messagestringOptional

The productʼs pre-order message. If undefined, the message defaults to the storewide setting.

show_breadcrumbs_product_pagesenumOptional
Allowed values:
show_add_to_cart_qty_boxbooleanOptional
Determines the visibility of the Add to Cart quantity setting.
show_add_to_wishlistbooleanOptional
Determines the visibility of the Add to Wishlist setting.
hide_price_from_guestsbooleanOptional
Determines the visibility of the price.

Response

OK. null indicates that a particular field has not been overridden on a channel level when channel level settings are requested

dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.